Subject: Re: [Cfrg] Plans for SPAKE

From: "Dan Harkins" <[email-masked]>
Date: Wed, 5 Aug 2015 00:57:42 -0700 (PDT)

On Fri, July 31, 2015 7:27 am, Watson Ladd wrote:
> Dear all,
>
> Now that we've agreed upon a point format, I will generate points for
> Edwards curves sometime this weekend. (hopefully). Mike Hamburg has
> dug up a publication of an augmented version, which I will add to the
> draft. Expect a new version soon, and poke me if I forget.

  Instead of coming up with points for each curve why don't
you just define a deterministic process to allow everyone to
generate the same points themselves for a given curve?

  The process you're starting to go down will require use of a
registry to map curve to points and that seems unnecessary if
people could figure out the points themselves given the curve.

  regards,

  Dan.

---

From: Watson Ladd <[email-masked]>
Date: Wed, 5 Aug 2015 06:49:28 -0700

> people could figure out the points themselves given the curve.

The draft does provide such a process: I want to ease the job of
implementors who are lazy by doing some work myself as well as check that
two people can get the same result independently.